Name:           ocaml-camldbm
Version:        1.0
Release:        %mkrel 21
Summary:        Binding to the NDBM/GDBM Unix databases
License:        LGPL with static compilation exception
Group:          Development/OCaml
URL:            https://forge.ocamlcore.org/projects/camldbm/
Source0:        http://download.ocamlcore.org/camldbm/template/CamlDBM%{version}/camldbm-%{version}.tgz
Patch0:         include_fix.patch
Patch1:         hasgotfix.patch
Patch2:         camldbm-1.0-api-doc.patch
Patch3:         camldbm-1.0-enable-debugging-information.patch
BuildRequires:  ocaml-findlib
BuildRequires:  libgdbm-devel
Requires:       gdbm

%description
This OCaml library is a binding to the NDBM/GDBM Unix "databases".
It provides persistent storage of key-value pairs of strings.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n camldbm-%{version}
%autopatch -p1

%build
%configure
make
make doc

%install
OCAML_DESTDIR=%{buildroot}/%{_libdir}/ocaml/dbm
STUBS_DESTDIR=%{buildroot}/%{_libdir}/ocaml/stublibs
mkdir -p $OCAML_DESTDIR
mkdir -p $STUBS_DESTDIR

make install \
  LIBDIR=$OCAML_DESTDIR \
  STUBLIBDIR=$STUBS_DESTDIR

cp META $OCAML_DESTDIR/
cp dbm.mli $OCAML_DESTDIR/


%files
%doc README LICENSE Changelog
%dir %{_libdir}/ocaml/dbm/
%{_libdir}/ocaml/dbm/META
%{_libdir}/ocaml/dbm/*.cmi
%{_libdir}/ocaml/dbm/*.cma
%{_libdir}/ocaml/dbm/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc api-doc/
%{_libdir}/ocaml/dbm/*.a
%{_libdir}/ocaml/dbm/*.cmxa
%{_libdir}/ocaml/dbm/*.mli


%changelog
* Fri Feb 28 2020 umeabot <umeabot> 1.0-21.mga8
+ Revision: 1551133
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.0-20.mga8
+ Revision: 1544469
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 1.0-19.mga8
+ Revision: 1483033
- rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 23 2018 tv <tv> 1.0-18.mga7
+ Revision: 1324032
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1.0-17.mga7
+ Revision: 1323726
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 1.0-16.mga7
+ Revision: 1299845
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 luigiwalser <luigiwalser> 1.0-15.mga7
+ Revision: 1237486
- rebuild for gdbm

* Sun Nov 26 2017 tv <tv> 1.0-14.mga7
+ Revision: 1179486
- rebuild for new ocaml

* Thu Oct 05 2017 daviddavid <daviddavid> 1.0-13.mga7
+ Revision: 1169183
- patch3: enable debugging information thus fixing empty debugsourcefiles.list

* Fri Feb 12 2016 umeabot <umeabot> 1.0-12.mga6
+ Revision: 956311
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-11.mga5
+ Revision: 742826
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0-10.mga5
+ Revision: 727483
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0-9.mga5
+ Revision: 683000
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0-8.mga4
+ Revision: 536090
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 blue_prawn <blue_prawn> 1.0-7.mga4
+ Revision: 483270
- also provide the ocamldoc generated API documentation

* Fri Sep 20 2013 malo <malo> 1.0-6.mga4
+ Revision: 482438
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 1.0-5.mga3
+ Revision: 361202
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 fwang <fwang> 1.0-4.mga3
+ Revision: 329487
- drop old configure script
- add gentoo patches to make it built

* Tue Dec 11 2012 fwang <fwang> 1.0-3.mga3
+ Revision: 329478
- rebuild for missing lib links

* Fri Nov 23 2012 blue_prawn <blue_prawn> 1.0-2.mga3
+ Revision: 321430
- rebuild for conflicting META file

* Fri Nov 23 2012 blue_prawn <blue_prawn> 1.0-1.mga3
+ Revision: 321380
- build requires gdbm-devel
- imported package ocaml-camldbm

